Flavours API Documentation
  1. Blend
Flavours API Documentation
  • Readme
  • Developer Guide
  • Authorization
  • Includables
  • Pagination
  • Sorting
  • Retrieve Market Information
  • Retrieve Branch Information
  • Me
    • Overview
    • Detail
      GET
  • Branches
    • Overview
    • List
      GET
    • Detail
      GET
    • Create
      POST
    • Update
      POST
    • Delete
      DELETE
  • Orders
    • Overview
    • List
    • Detail
    • Create
    • Calculate
    • Checkout
    • Update
    • Sync
  • Customers
    • Overview
    • List
    • Detail
    • Create
    • Update
  • Products
    • Overview
    • List
    • Detail
    • Create
    • Update
    • Delete
  • Product Categories
    • Overview
    • List
    • Detail
  • Discounts
    • Overview
    • List
    • Detail
    • Verify
  • Payment Methods
    • Overview
    • List
    • Detail
  • Table
    • Overview
    • List
    • Detail
    • Create
    • Update
    • Delete
  • Printer
  • Webhook
    • Orders Webhooks
      • Webhook Events
      • Payload
    • Product Webhooks
      • Webhook Events
      • Payload
    • Loyalty Webhooks
      • Promotional Coupon
    • Customers Webhooks
      • Webhook Events
      • Payload
    • Error Webhook
      • Stay Alert to Connectivity Issues
    • Third-Party
      • Ballurh
        • Install Ballurh
      • Loyapro
        • Loyalty
          • Check Reward
          • Redeem Reward
      • Bonat
        • Check Reward
        • Redeem Reward
      • Fai
        • Register Entity
      • Blend
        • Authorization
          POST
        • Get Menu
          GET
        • Get Branches
          GET
        • Create Order
          POST
        • Update Order
          POST
  1. Blend

Update Order

Developing
DEVELOPMENT
https://api.flavours.sa/dev/api/v2
DEVELOPMENT
https://api.flavours.sa/dev/api/v2
POST
https://api.flavours.sa/dev/api/v2
blend/api/order/update

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Body Params application/jsonRequired

Example
{
    "order_id": "44456",
    "branch_id": "11",
    "brand_id": "5000",
    "status": "ACCEPTED" // ACCEPTED, PREPARING, CANCELED, REJECTED, TIME_OUT
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api.flavours.sa/dev/api/v2blend/api/order/update' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "order_id": "44456",
    "branch_id": "11",
    "brand_id": "5000",
    "status": "ACCEPTED" // ACCEPTED, PREPARING, CANCELED, REJECTED, TIME_OUT
}'

Responses

🟢200Success
application/json
Body

Example
{
    "meta": {
        "code": 200,
        "status": "success",
        "message": "Data Saved"
    }
}
Modified at 2026-03-09 15:17:56
Previous
Create Order
Built with